DevinCook.GoldParser

GoldDotNet Documentation

DevinCook.GoldParser Namespace

GoldParser Engine

Classes

Class | Description
FAEdge |
FAState |
LRAction |
LRActionTable |
Parser |
ParserException |
Reduction |
Rule |
Symbol |
Token |
TokenStack |

Interfaces

Interface | Description
IGoldVisitor |

Enumerations

Enumeration | Description
Action |
ParseMessage |
SymbolType |

Copyright 2004 Max Battcher [and the GoldDotNet Project]


Action Enumeration

public enum Action

Members

Member Name | Description
Shift |
Reduce |
Goto |
Accept |
Error |

Requirements

Namespace: DevinCook.GoldParser

Assembly: GoldParser (in GoldParser.dll)

See Also

DevinCook.GoldParser Namespace

Copyright 2004 Max Battcher [and the GoldDotNet Project]

Generated from assembly GoldParser [1.1.0.6769]


FAEdge Class

For a list of all members of this type, see FAEdge Members.

System.Object
FAEdge

public class FAEdge

Requirements

Namespace: DevinCook.GoldParser

Assembly: GoldParser (in GoldParser.dll)

See Also

FAEdge Members | DevinCook.GoldParser Namespace


FAEdge Members

FAEdge overview

Public Instance Constructors

FAEdge Constructor

Public Instance Properties

Characters
TargetIndex

Public Instance Methods

AddCharacters |
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString |

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

See Also

FAEdge Class | DevinCook.GoldParser Namespace


FAEdge Constructor

public FAEdge(
string p_characters,
int p_targetIndex
);

See Also

FAEdge Class | DevinCook.GoldParser Namespace


FAEdge Properties

The properties of the FAEdge class are listed below. For a complete list of FAEdge class members, see the FAEdge Members topic.

Public Instance Properties

Characters
TargetIndex

See Also

FAEdge Class | DevinCook.GoldParser Namespace


FAEdge.Characters Property

public string Characters {get; set;}

See Also

FAEdge Class | DevinCook.GoldParser Namespace


FAEdge.TargetIndex Property

public int TargetIndex {get; set;}

See Also

FAEdge Class | DevinCook.GoldParser Namespace


FAEdge Methods

The methods of the FAEdge class are listed below. For a complete list of FAEdge class members, see the FAEdge Members topic.

Public Instance Methods

AddCharacters |
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString |

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

See Also

FAEdge Class | DevinCook.GoldParser Namespace


FAEdge.AddCharacters Method

public void AddCharacters(
string p_characters
);

See Also

FAEdge Class | DevinCook.GoldParser Namespace


FAEdge.ToString Method

public override string ToString();

See Also

FAEdge Class | DevinCook.GoldParser Namespace


FAState Class

For a list of all members of this type, see FAState Members.

System.Object
FAState

public class FAState

Requirements

Namespace: DevinCook.GoldParser

Assembly: GoldParser (in GoldParser.dll)

See Also

FAState Members | DevinCook.GoldParser Namespace


FAState Members

FAState overview

Public Instance Constructors

FAState Constructor Initializes a new instance of the FAState class.

Public Instance Properties

AcceptSymbol
EdgeCount
Edges

Public Instance Methods

AddEdge |
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetEdge |
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString |

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

See Also

FAState Class | DevinCook.GoldParser Namespace


FAState Constructor

Initializes a new instance of the FAState class.

public FAState();

See Also

FAState Class | DevinCook.GoldParser Namespace


FAState Properties

The properties of the FAState class are listed below. For a complete list of FAState class members, see the FAState Members topic.

Public Instance Properties

AcceptSymbol
EdgeCount
Edges

See Also

FAState Class | DevinCook.GoldParser Namespace


FAState.AcceptSymbol Property

public int AcceptSymbol {get; set;}

See Also

FAState Class | DevinCook.GoldParser Namespace


FAState.EdgeCount Property

public int EdgeCount {get;}

See Also

FAState Class | DevinCook.GoldParser Namespace


FAState.Edges Property

public System.Collections.ArrayList Edges {get;}

See Also

FAState Class | DevinCook.GoldParser Namespace


FAState Methods

The methods of the FAState class are listed below. For a complete list of FAState class members, see the FAState Members topic.

Public Instance Methods

AddEdge |
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetEdge |
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString |

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

See Also

FAState Class | DevinCook.GoldParser Namespace


FAState.AddEdge Method

public void AddEdge(
string p_characters,
int p_targetIndex
);

See Also

FAState Class | DevinCook.GoldParser Namespace


FAState.GetEdge Method

public FAEdge GetEdge(
int p_index
);

See Also

FAState Class | DevinCook.GoldParser Namespace


FAState.ToString Method

public override string ToString();

See Also

FAState Class | DevinCook.GoldParser Namespace


IGoldVisitor Interface

For a list of all members of this type, see IGoldVisitor Members.

public interface IGoldVisitor

Requirements

Namespace: DevinCook.GoldParser

Assembly: GoldParser (in GoldParser.dll)

See Also

IGoldVisitor Members | DevinCook.GoldParser Namespace


IGoldVisitor Members

IGoldVisitor overview

Public Instance Methods

Visit

See Also

IGoldVisitor Interface | DevinCook.GoldParser Namespace


IGoldVisitor Methods

The methods of the IGoldVisitor interface are listed below. For a complete list of IGoldVisitor interface members, see the IGoldVisitor Members topic.

Public Instance Methods

Visit

See Also

IGoldVisitor Interface | DevinCook.GoldParser Namespace


IGoldVisitor.Visit Method

void Visit(
Reduction r
);

See Also

IGoldVisitor Interface | DevinCook.GoldParser Namespace


LRAction Class

For a list of all members of this type, see LRAction Members.

System.Object
LRAction

public class LRAction

Requirements

Namespace: DevinCook.GoldParser

Assembly: GoldParser (in GoldParser.dll)

See Also

LRAction Members | DevinCook.GoldParser Namespace


LRAction Members

LRAction overview

Public Instance Constructors

LRAction Constructor Initializes a new instance of the LRAction class.

Public Instance Properties

Action
Symbol
Value

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString |

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

See Also

LRAction Class | DevinCook.GoldParser Namespace


LRAction Constructor

Initializes a new instance of the LRAction class.

public LRAction();

See Also

LRAction Class | DevinCook.GoldParser Namespace


LRAction Properties

The properties of the LRAction class are listed below. For a complete list of LRAction class members, see the LRAction Members topic.

Public Instance Properties

Action
Symbol
Value

See Also

LRAction Class | DevinCook.GoldParser Namespace


LRAction.Action Property

public Action Action {get; set;}

See Also

LRAction Class | DevinCook.GoldParser Namespace


LRAction.Symbol Property

public Symbol Symbol {get; set;}

See Also

LRAction Class | DevinCook.GoldParser Namespace


LRAction.Value Property

public int Value {get; set;}

See Also

LRAction Class | DevinCook.GoldParser Namespace


LRAction Methods

The methods of the LRAction class are listed below. For a complete list of LRAction class members, see the LRAction Members topic.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString |

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

See Also

LRAction Class | DevinCook.GoldParser Namespace


LRAction.ToString Method

public override string ToString();

See Also

LRAction Class | DevinCook.GoldParser Namespace


LRActionTable Class

For a list of all members of this type, see LRActionTable Members.

System.Object
LRActionTable

public class LRActionTable

Requirements

Namespace: DevinCook.GoldParser

Assembly: GoldParser (in GoldParser.dll)

See Also

LRActionTable Members | DevinCook.GoldParser Namespace


LRActionTable Members

LRActionTable overview

Public Instance Constructors

LRActionTable Constructor Initializes a new instance of the LRActionTable class.

Public Instance Properties

Count
Members

Public Instance Methods

AddItem | Adds an new LRAction to this table.
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetActionForSymbol |
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetItem |
GetType (inherited from Object) | Gets the Type of the current instance.
ToString |

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

See Also

LRActionTable Class | DevinCook.GoldParser Namespace


LRActionTable Constructor

Initializes a new instance of the LRActionTable class.

public LRActionTable();

See Also

LRActionTable Class | DevinCook.GoldParser Namespace


LRActionTable Properties

The properties of the LRActionTable class are listed below. For a complete list of LRActionTable class members, see the LRActionTable Members topic.

Public Instance Properties

Count
Members

See Also

LRActionTable Class | DevinCook.GoldParser Namespace


LRActionTable.Count Property

public int Count {get;}

See Also

LRActionTable Class | DevinCook.GoldParser Namespace


LRActionTable.Members Property

public System.Collections.ArrayList Members {get;}

See Also

LRActionTable Class | DevinCook.GoldParser Namespace


LRActionTable Methods

The methods of the LRActionTable class are listed below. For a complete list of LRActionTable class members, see the LRActionTable Members topic.

Public Instance Methods

AddItem | Adds an new LRAction to this table.
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetActionForSymbol |
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetItem |
GetType (inherited from Object) | Gets the Type of the current instance.
ToString |

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

See Also

LRActionTable Class | DevinCook.GoldParser Namespace


LRActionTable.AddItem Method

Adds an new LRAction to this table.

public void AddItem(
Symbol p_symbol,
Action p_action,
int p_value
);

Parameters

p_symbol
The Symbol.
p_action
The Action.
p_value
The value.

See Also

LRActionTable Class | DevinCook.GoldParser Namespace


LRActionTable.GetActionForSymbol Method

public LRAction GetActionForSymbol(
int p_symbolIndex
);

See Also

LRActionTable Class | DevinCook.GoldParser Namespace


LRActionTable.GetItem Method

public LRAction GetItem(
int p_index
);

See Also

LRActionTable Class | DevinCook.GoldParser Namespace


LRActionTable.ToString Method

public override string ToString();

See Also

LRActionTable Class | DevinCook.GoldParser Namespace


ParseMessage Enumeration

public enum ParseMessage

Members

Member Name | Description
TokenRead |
Reduction |
Accept |
LexicalError |
SyntaxError |
CommentError |
InternalError |

Requirements

Namespace: DevinCook.GoldParser

Assembly: GoldParser (in GoldParser.dll)

See Also

DevinCook.GoldParser Namespace

Copyright 2004 Max Battcher [and the GoldDotNet Project]


Parser Class

For a list of all members of this type, see Parser Members.

System.Object
Parser

public class Parser

Requirements

Namespace: DevinCook.GoldParser

Assembly: GoldParser (in GoldParser.dll)

See Also

Parser Members | DevinCook.GoldParser Namespace


Parser Members

Parser overview

Public Instance Constructors

Parser Overloaded. Initializes a new instance of the Parser class.

Public Instance Properties

CurrentLineNumber |
CurrentReduction | Gets the Reduction made by the parsing engine.
CurrentToken |
DfaStates | Deterministic Finite Automata States
InitialDfaState | Initial DFA State
InitialLalrState | Initial LALR State
LalrTables | LALR Tables
RuleTable | Rule Table
SymbolTable | Symbol Table
TrimReductions |

Public Instance Methods

CloseFile |
CloseStream | Closes the Source Stream.
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetParameter | Returns a string containing the value of the specified parameter.
GetTokens |
GetType (inherited from Object) | Gets the Type of the current instance.
OpenFile |
OpenStream | Opens the stream for parsing...
Parse | Executes a parse-action.
PopInputToken |
PushInputToken |
ToString (inherited from Object) | Returns a String that represents the current Object.

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

See Also

Parser Class | DevinCook.GoldParser Namespace


Parser Constructor

Creates a new Parser object for the specified CGT file.

Overload List

Creates a new Parser object for the specified stream.

public Parser(Stream);

Creates a new Parser object for the specified CGT file.

public Parser(string);

See Also

Parser Class | DevinCook.GoldParser Namespace


Parser Constructor (String)

Creates a new Parser object for the specified CGT file.

public Parser(
string p_filename
);

Parameters

p_filename
The name of the CGT file.

See Also

Parser Class | DevinCook.GoldParser Namespace | Parser Constructor Overload List


Parser Constructor (Stream)

Creates a new Parser object for the specified stream.

public Parser(
Stream sr
);

Parameters

sr
The Stream to read as a CGT file.

Remarks

Added by Max Battcher

See Also

Parser Class | DevinCook.GoldParser Namespace | Parser Constructor Overload List


Parser Properties

The properties of the Parser class are listed below. For a complete list of Parser class members, see the Parser Members topic.

Public Instance Properties

CurrentLineNumber |
CurrentReduction | Gets the Reduction made by the parsing engine.
CurrentToken |
DfaStates | Deterministic Finite Automata States
InitialDfaState | Initial DFA State
InitialLalrState | Initial LALR State
LalrTables | LALR Tables
RuleTable | Rule Table
SymbolTable | Symbol Table
TrimReductions |

See Also

Parser Class | DevinCook.GoldParser Namespace


Parser.CurrentLineNumber Property

public int CurrentLineNumber {get;}

See Also

Parser Class | DevinCook.GoldParser Namespace


Parser.CurrentReduction Property

Gets the Reduction made by the parsing engine.

public Reduction CurrentReduction {get;}

Remarks

The value of this property is only valid when the Parse-method returns ParseMessage.Reduction.

See Also

Parser Class | DevinCook.GoldParser Namespace


Parser.CurrentToken Property

public Token CurrentToken {get;}

See Also

Parser Class | DevinCook.GoldParser Namespace


Parser.DfaStates Property

Deterministic Finite Automata States

public FAState[] DfaStates {get;}

Remarks

Added by Max Battcher

See Also

Parser Class | DevinCook.GoldParser Namespace


Parser.InitialDfaState Property

Initial DFA State

public int InitialDfaState {get;}

Remarks

Added by Max Battcher

See Also

Parser Class | DevinCook.GoldParser Namespace


Parser.InitialLalrState Property

Initial LALR State

public int InitialLalrState {get;}

Remarks

Added by Max Battcher

See Also

Parser Class | DevinCook.GoldParser Namespace


Parser.LalrTables Property

LALR Tables

public LRActionTable[] LalrTables {get;}

Remarks

Added by Max Battcher

See Also

Parser Class | DevinCook.GoldParser Namespace


Parser.RuleTable Property

Rule Table

public Rule[] RuleTable {get;}

Remarks

Added by Max Battcher

See Also

Parser Class | DevinCook.GoldParser Namespace


Parser.SymbolTable Property

Symbol Table

public Symbol[] SymbolTable {get;}

Remarks

Added by Max Battcher

See Also

Parser Class | DevinCook.GoldParser Namespace


Parser.TrimReductions Property

public bool TrimReductions {get; set;}

See Also

Parser Class | DevinCook.GoldParser Namespace


Parser Methods

The methods of the Parser class are listed below. For a complete list of Parser class members, see the Parser Members topic.

Public Instance Methods

CloseFile |
CloseStream | Closes the Source Stream.
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetParameter | Returns a string containing the value of the specified parameter.
GetTokens |
GetType (inherited from Object) | Gets the Type of the current instance.
OpenFile |
OpenStream | Opens the stream for parsing...
Parse | Executes a parse-action.
PopInputToken |
PushInputToken |
ToString (inherited from Object) | Returns a String that represents the current Object.

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

See Also

Parser Class | DevinCook.GoldParser Namespace


Parser.CloseFile Method

public void CloseFile();

See Also

Parser Class | DevinCook.GoldParser Namespace


Parser.CloseStream Method

Closes the Source Stream.

public void CloseStream();

Remarks

Added by Max Battcher

See Also

Parser Class | DevinCook.GoldParser Namespace


Parser.GetParameter Method

Returns a string containing the value of the specified parameter.

public string GetParameter(
string p_name
);

Remarks

These parameters include: Name, Version, Author, About, Case Sensitive and Start Symbol. If the name specified is invalid, this method will return an empty string.

See Also

Parser Class | DevinCook.GoldParser Namespace


Parser.GetTokens Method

public TokenStack GetTokens();

See Also

Parser Class | DevinCook.GoldParser Namespace


Parser.OpenFile Method

public void OpenFile(
string p_filename
);

See Also

Parser Class | DevinCook.GoldParser Namespace


Parser.OpenStream Method

Opens the stream for parsing...

public void OpenStream(
TextReader sr
);

Parameters

sr
Stream to parse

Remarks

Added by Max Battcher

See Also

Parser Class | DevinCook.GoldParser Namespace


Parser.Parse Method

Executes a parse-action.

public ParseMessage Parse();

Remarks

When this method is called, the parsing engine reads information from the source text and then reports what action was taken. This ranges from a token being read and recognized from the source, a parse reduction, or some type of error.

See Also

Parser Class | DevinCook.GoldParser Namespace


Parser.PopInputToken Method

public Token PopInputToken();

See Also

Parser Class | DevinCook.GoldParser Namespace


Parser.PushInputToken Method

public void PushInputToken(
Token p_token
);

See Also

Parser Class | DevinCook.GoldParser Namespace


ParserException Class

For a list of all members of this type, see ParserException Members.

System.Object
Exception
ParserException

public class ParserException : Exception

Requirements

Namespace: DevinCook.GoldParser

Assembly: GoldParser (in GoldParser.dll)

See Also

ParserException Members | DevinCook.GoldParser Namespace


ParserException Members

ParserException overview

Public Instance Properties

HelpLink (inherited from Exception) | Gets or sets a link to the help file associated with this exception.
InnerException (inherited from Exception) | Gets the Exception instance that caused the current exception.
Message (inherited from Exception) | Gets a message that describes the current exception.
Source (inherited from Exception) | Gets or sets the name of the application or the object that causes the error.
StackTrace (inherited from Exception) | Gets a string representation of the frames on the call stack at the time the current exception was thrown.
TargetSite (inherited from Exception) | Gets the method that throws the current exception.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetBaseException (inherited from Exception) | When overridden in a derived class, returns the Exception that is the root cause of one or more subsequent exceptions.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetObjectData (inherited from Exception) | When overridden in a derived class, sets the SerializationInfo with information about the exception.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString (inherited from Exception) | Creates and returns a string representation of the current exception.

Protected Instance Properties

HResult (inherited from Exception) Gets or sets HRESULT, a coded numerical value that is assigned to a specific exception.

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

See Also

ParserException Class | DevinCook.GoldParser Namespace


Reduction Class

For a list of all members of this type, see Reduction Members.

System.Object
Reduction

public class Reduction

Requirements

Namespace: DevinCook.GoldParser

Assembly: GoldParser (in GoldParser.dll)

See Also

Reduction Members | DevinCook.GoldParser Namespace


Reduction Members

Reduction overview

Public Instance Properties

ParentRule
Tag
Tokens

Public Instance Methods

Accept | Makes the IGoldVisitor visit this Reduction.
ChildrenAccept | Makes the IGoldVisitor visit the children of this Reduction.
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetToken |
GetType (inherited from Object) | Gets the Type of the current instance.
ToString |

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

See Also

Reduction Class | DevinCook.GoldParser Namespace


Reduction Properties

The properties of the Reduction class are listed below. For a complete list of Reduction class members, see the Reduction Members topic.

Public Instance Properties

ParentRule
Tag
Tokens

See Also

Reduction Class | DevinCook.GoldParser Namespace


Reduction.ParentRule Property

public Rule ParentRule {get; set;}

See Also

Reduction Class | DevinCook.GoldParser Namespace


Reduction.Tag Property

public object Tag {get; set;}

See Also

Reduction Class | DevinCook.GoldParser Namespace


Reduction.Tokens Property

public System.Collections.ArrayList Tokens {get;}

See Also

Reduction Class | DevinCook.GoldParser Namespace


Reduction Methods

The methods of the Reduction class are listed below. For a complete list of Reduction class members, see the Reduction Members topic.

Public Instance Methods

Accept | Makes the IGoldVisitor visit this Reduction.
ChildrenAccept | Makes the IGoldVisitor visit the children of this Reduction.
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetToken |
GetType (inherited from Object) | Gets the Type of the current instance.
ToString |

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

See Also

Reduction Class | DevinCook.GoldParser Namespace


Reduction.Accept Method

Makes the IGoldVisitor visit this Reduction.

public void Accept(
IGoldVisitor p_visitor
);

Example

See the GoldTest sample project.

See Also

Reduction Class | DevinCook.GoldParser Namespace


Reduction.ChildrenAccept Method

Makes the IGoldVisitor visit the children of this Reduction.

public void ChildrenAccept(
IGoldVisitor p_visitor
);

Example

See the GoldTest sample project.

See Also

Reduction Class | DevinCook.GoldParser Namespace


Reduction.GetToken Method

public Token GetToken(
int p_index
);

See Also

Reduction Class | DevinCook.GoldParser Namespace


Reduction.ToString Method

public override string ToString();

See Also

Reduction Class | DevinCook.GoldParser Namespace


Rule Class

For a list of all members of this type, see Rule Members.

System.Object
Rule

public class Rule

Requirements

Namespace: DevinCook.GoldParser

Assembly: GoldParser (in GoldParser.dll)

See Also

Rule Members | DevinCook.GoldParser Namespace


Rule Members

Rule overview

Public Instance Properties

RuleNonTerminal
SymbolCount
TableIndex

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetSymbol |
GetType (inherited from Object) | Gets the Type of the current instance.
ToString |

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

See Also

Rule Class | DevinCook.GoldParser Namespace


Rule Properties

The properties of the Rule class are listed below. For a complete list of Rule class members, see the Rule Members topic.

Public Instance Properties

RuleNonTerminal
SymbolCount
TableIndex

See Also

Rule Class | DevinCook.GoldParser Namespace


Rule.RuleNonTerminal Property

public Symbol RuleNonTerminal {get;}

See Also

Rule Class | DevinCook.GoldParser Namespace


Rule.SymbolCount Property

public int SymbolCount {get;}

See Also

Rule Class | DevinCook.GoldParser Namespace


Rule.TableIndex Property

public int TableIndex {get;}

See Also

Rule Class | DevinCook.GoldParser Namespace


Rule Methods

The methods of the Rule class are listed below. For a complete list of Rule class members, see the Rule Members topic.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetSymbol |
GetType (inherited from Object) | Gets the Type of the current instance.
ToString |

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

See Also

Rule Class | DevinCook.GoldParser Namespace


Rule.GetSymbol Method

public Symbol GetSymbol(
int p_index
);

See Also

Rule Class | DevinCook.GoldParser Namespace


Rule.ToString Method

public override string ToString();

See Also

Rule Class | DevinCook.GoldParser Namespace


Symbol Class

For a list of all members of this type, see Symbol Members.

System.Object
Symbol

public class Symbol

Requirements

Namespace: DevinCook.GoldParser

Assembly: GoldParser (in GoldParser.dll)

See Also

Symbol Members | DevinCook.GoldParser Namespace


Symbol Members

Symbol overview

Public Instance Properties

Kind
Name
TableIndex

Public Instance Methods

Equals |
GetHashCode |
GetType (inherited from Object) | Gets the Type of the current instance.
ToString | Returns the text representation of the symbol.

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

Protected Internal Instance Constructors

Symbol Constructor Initializes a new instance of the Symbol class.

Protected Internal Instance Methods

CopyData

See Also

Symbol Class | DevinCook.GoldParser Namespace


Symbol Constructor

Initializes a new instance of the Symbol class.

protected internal Symbol();

See Also

Symbol Class | DevinCook.GoldParser Namespace


Symbol Properties

The properties of the Symbol class are listed below. For a complete list of Symbol class members, see the Symbol Members topic.

Public Instance Properties

Kind
Name
TableIndex

See Also

Symbol Class | DevinCook.GoldParser Namespace


Symbol.Kind Property

public SymbolType Kind {get;}

See Also

Symbol Class | DevinCook.GoldParser Namespace


Symbol.Name Property

public string Name {get;}

See Also

Symbol Class | DevinCook.GoldParser Namespace


Symbol.TableIndex Property

public int TableIndex {get;}

See Also

Symbol Class | DevinCook.GoldParser Namespace


Symbol Methods

The methods of the Symbol class are listed below. For a complete list of Symbol class members, see the Symbol Members topic.

Public Instance Methods

Equals |
GetHashCode |
GetType (inherited from Object) | Gets the Type of the current instance.
ToString | Returns the text representation of the symbol.

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

Protected Internal Instance Methods

CopyData

See Also

Symbol Class | DevinCook.GoldParser Namespace


Symbol.CopyData Method

protected internal void CopyData(
Symbol p_symbol
);

See Also

Symbol Class | DevinCook.GoldParser Namespace


Symbol.Equals Method

public override bool Equals(
object p_object
);

See Also

Symbol Class | DevinCook.GoldParser Namespace


Symbol.GetHashCode Method

public override int GetHashCode();

See Also

Symbol Class | DevinCook.GoldParser Namespace


Symbol.ToString Method

Returns the text representation of the symbol.

public override string ToString();

Remarks

In the case of nonterminals, the name is delimited by angle brackets, special terminals are delimited by parenthesis and terminals are delimited by single quotes (if special characters are present).

See Also

Symbol Class | DevinCook.GoldParser Namespace


SymbolType Enumeration

public enum SymbolType

Members

Member Name | Description
NonTerminal |
Terminal |
Whitespace |
End |
CommentStart |
CommentEnd |
CommentLine |
Error |

Requirements

Namespace: DevinCook.GoldParser

Assembly: GoldParser (in GoldParser.dll)

See Also

DevinCook.GoldParser Namespace

Copyright 2004 Max Battcher [and the GoldDotNet Project]


Token Class

For a list of all members of this type, see Token Members.

System.Object
Symbol
Token

public class Token : Symbol

Requirements

Namespace: DevinCook.GoldParser

Assembly: GoldParser (in GoldParser.dll)

See Also

Token Members | DevinCook.GoldParser Namespace


Token Members

Token overview

Public Instance Properties

Data
Kind (inherited from Symbol)
Name (inherited from Symbol)
TableIndex (inherited from Symbol)

Public Instance Methods

Equals (inherited from Symbol) |
GetHashCode (inherited from Symbol) |
GetType (inherited from Object) | Gets the Type of the current instance.
ToString | Returns the text representation of the token's parent symbol.

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

Protected Internal Instance Methods

CopyData (inherited from Symbol)

See Also

Token Class | DevinCook.GoldParser Namespace


Token Properties

The properties of the Token class are listed below. For a complete list of Token class members, see the Token Members topic.

Public Instance Properties

Data
Kind (inherited from Symbol)
Name (inherited from Symbol)
TableIndex (inherited from Symbol)

See Also

Token Class | DevinCook.GoldParser Namespace


Token.Data Property

public object Data {get; set;}

See Also

Token Class | DevinCook.GoldParser Namespace


Token Methods

The methods of the Token class are listed below. For a complete list of Token class members, see the Token Members topic.

Public Instance Methods

Equals (inherited from Symbol) |
GetHashCode (inherited from Symbol) |
GetType (inherited from Object) | Gets the Type of the current instance.
ToString | Returns the text representation of the token's parent symbol.

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

Protected Internal Instance Methods

CopyData (inherited from Symbol)

See Also

Token Class | DevinCook.GoldParser Namespace


Token.ToString Method

Returns the text representation of the token's parent symbol.

public override string ToString();

Remarks

In the case of nonterminals, the name is delimited by angle brackets, special terminals are delimited by parenthesis and terminals are delimited by single quotes (if special characters are present).

See Also

Token Class | DevinCook.GoldParser Namespace


TokenStack Class

For a list of all members of this type, see TokenStack Members.

System.Object
TokenStack

public class TokenStack

Requirements

Namespace: DevinCook.GoldParser

Assembly: GoldParser (in GoldParser.dll)

See Also

TokenStack Members | DevinCook.GoldParser Namespace


TokenStack Members

TokenStack overview

Public Instance Properties

Count
Item

Public Instance Methods

Clear |
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetEnumerator |
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetToken | Returns the token at the specified position from the top.
GetType (inherited from Object) | Gets the Type of the current instance.
PeekToken |
PopToken | Pops a token from the stack.
PopTokensInto |
PushToken |
ToString (inherited from Object) | Returns a String that represents the current Object.

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

See Also

TokenStack Class | DevinCook.GoldParser Namespace


TokenStack Properties

The properties of the TokenStack class are listed below. For a complete list of TokenStack class members, see the TokenStack Members topic.

Public Instance Properties

Count
Item

See Also

TokenStack Class | DevinCook.GoldParser Namespace


TokenStack.Count Property

public int Count {get;}

See Also

TokenStack Class | DevinCook.GoldParser Namespace


TokenStack.Item Property

public Token this[
int p_index
] {get;}

See Also

TokenStack Class | DevinCook.GoldParser Namespace


TokenStack Methods

The methods of the TokenStack class are listed below. For a complete list of TokenStack class members, see the TokenStack Members topic.

Public Instance Methods

Clear |
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetEnumerator |
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetToken | Returns the token at the specified position from the top.
GetType (inherited from Object) | Gets the Type of the current instance.
PeekToken |
PopToken | Pops a token from the stack.
PopTokensInto |
PushToken |
ToString (inherited from Object) | Returns a String that represents the current Object.

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

See Also

TokenStack Class | DevinCook.GoldParser Namespace


TokenStack.Clear Method

public void Clear();

See Also

TokenStack Class | DevinCook.GoldParser Namespace


TokenStack.GetEnumerator Method

public IEnumerator GetEnumerator();

See Also

TokenStack Class | DevinCook.GoldParser Namespace


TokenStack.GetToken Method

Returns the token at the specified position from the top.

public Token GetToken(
int p_index
);

Example

GetToken(0) returns the token on top off the stack, GetToken(1) the next one, etc.

See Also

TokenStack Class | DevinCook.GoldParser Namespace


TokenStack.PeekToken Method

public Token PeekToken();

See Also

TokenStack Class | DevinCook.GoldParser Namespace


TokenStack.PopToken Method

Pops a token from the stack.

public Token PopToken();

Remarks

The token on top of the stack will be removed and returned by the method.

See Also

TokenStack Class | DevinCook.GoldParser Namespace


TokenStack.PopTokensInto Method

public void PopTokensInto(
Reduction p_reduction,
int p_count
);

See Also

TokenStack Class | DevinCook.GoldParser Namespace


TokenStack.PushToken Method

public void PushToken(
Token p_token
);

See Also

TokenStack Class | DevinCook.GoldParser Namespace


WorldMaker.Lang.Gss

GoldDotNet Documentation

WorldMaker.Lang.Gss Namespace

General Stylesheets Language

Classes

Class | Description
Parser | General Style Sheets parser.
PropValue | Property Value Class

Enumerations

Enumeration | Description
PropValue.VType | Types of Properties


Parser Class

General Style Sheets parser.

For a list of all members of this type, see Parser Members.

System.Object
Parser

public class Parser

Requirements

Namespace: WorldMaker.Lang.Gss

Assembly: WorldMaker.Lang.Gss (in WorldMaker.Lang.Gss.dll)

See Also

Parser Members | WorldMaker.Lang.Gss Namespace

Copyright 2004 Max Battcher [and the GoldDotNet Project]

Generated from assembly WorldMaker.Lang.Gss [1.0.0.6771]


Parser Members

Parser overview

Public Instance Constructors

Parser Constructor Default Constructor.

Public Instance Methods

displayPropTree | Overloaded. Outputs a simple tree listing to the System.Console.
doGss | Using the parsed GSS file(s) it sets an object's public properties.
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
getObject | Given a VType.Object returns the .NET Object Value
getProperty | Overloaded. Gets a specified Property.
getRule | Overloaded. Gets a specified Rule.
GetType (inherited from Object) | Gets the Type of the current instance.
loadFile | Load and parse a GSS file.
loadStream | Load and parse a GSS stream.
ToString (inherited from Object) | Returns a String that represents the current Object.

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

See Also

Parser Class | WorldMaker.Lang.Gss Namespace

Copyright 2004 Max Battcher [and the GoldDotNet Project]

Generated from assembly WorldMaker.Lang.Gss [1.0.0.6771]


Parser Constructor

Default Constructor.

public Parser();

See Also

Parser Class | WorldMaker.Lang.Gss Namespace

Copyright 2004 Max Battcher [and the GoldDotNet Project]

Generated from assembly WorldMaker.Lang.Gss [1.0.0.6771]


Parser Methods

The methods of the Parser class are listed below. For a complete list of Parser class members, see the Parser Members topic.

Public Instance Methods

displayPropTree | Overloaded. Outputs a simple tree listing to the System.Console.
doGss | Using the parsed GSS file(s) it sets an object's public properties.
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
getObject | Given a VType.Object returns the .NET Object Value
getProperty | Overloaded. Gets a specified Property.
getRule | Overloaded. Gets a specified Rule.
GetType (inherited from Object) | Gets the Type of the current instance.
loadFile | Load and parse a GSS file.
loadStream | Load and parse a GSS stream.
ToString (inherited from Object) | Returns a String that represents the current Object.

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

See Also

Parser Class | WorldMaker.Lang.Gss Namespace

Copyright 2004 Max Battcher [and the GoldDotNet Project]

Generated from assembly WorldMaker.Lang.Gss [1.0.0.6771]


displayPropTree Method

GoldDotNet Documentation

Parser.displayPropTree Method

Outputs a simple tree listing to the System.Console.

Overload List

Outputs a simple tree listing to the System.Console.

public void displayPropTree();

Outputs a simple tree listing to the System.Console.

public void displayPropTree(HybridDictionary,int);

See Also

Parser Class | WorldMaker.Lang.Gss Namespace

Copyright 2004 Max Battcher [and the GoldDotNet Project]

Generated from assembly WorldMaker.Lang.Gss [1.0.0.6771]


Parser.displayPropTree Method ()

Outputs a simple tree listing to the System.Console.

public void displayPropTree();

See Also

Parser Class | WorldMaker.Lang.Gss Namespace | Parser.displayPropTree Overload List

Copyright 2004 Max Battcher [and the GoldDotNet Project]

Generated from assembly WorldMaker.Lang.Gss [1.0.0.6771]


Parser.displayPropTree Method (HybridDictionary, Int32)

Outputs a simple tree listing to the System.Console.

public void displayPropTree(
HybridDictionary chd,
int curlevel
);

Parameters

chd
Dictionary to Display. Used for Recursion.
curlevel
Level in the Tree. Used for Recursion.

Example

            // Display all the properties starting with level 0.
            displayPropTree(null, 0);

See Also

Parser Class | WorldMaker.Lang.Gss Namespace | Parser.displayPropTree Overload List

Copyright 2004 Max Battcher [and the GoldDotNet Project]

Generated from assembly WorldMaker.Lang.Gss [1.0.0.6771]


Parser.doGss Method

Using the parsed GSS file(s) it sets an object's public properties.

public void doGss(
object dobj
);

Parameters

dobj
Object to Set

See Also

Parser Class | WorldMaker.Lang.Gss Namespace

Copyright 2004 Max Battcher [and the GoldDotNet Project]

Generated from assembly WorldMaker.Lang.Gss [1.0.0.6771]


Parser.getObject Method

Given a VType.Object returns the .NET Object Value

public object getObject(
PropValue cpv
);

Parameters

cpv
Current PropValue

Return Value

Object Value

See Also

Parser Class | WorldMaker.Lang.Gss Namespace

Copyright 2004 Max Battcher [and the GoldDotNet Project]

Generated from assembly WorldMaker.Lang.Gss [1.0.0.6771]


getProperty Method

GoldDotNet Documentation

Parser.getProperty Method

Gets a specified Property.

Overload List

Gets a specified Property.

public PropValue getProperty(string,string);

Gets a specified Property.

public PropValue getProperty(string,string,string);

See Also

Parser Class | WorldMaker.Lang.Gss Namespace

Copyright 2004 Max Battcher [and the GoldDotNet Project]

Generated from assembly WorldMaker.Lang.Gss [1.0.0.6771]


Parser.getProperty Method (String, String)

Gets a specified Property.

public PropValue getProperty(
string path,
string name
);

Parameters

path
Path to search
name
Property Name

Return Value

Property Value

See Also

Parser Class | WorldMaker.Lang.Gss Namespace | Parser.getProperty Overload List

Copyright 2004 Max Battcher [and the GoldDotNet Project]

Generated from assembly WorldMaker.Lang.Gss [1.0.0.6771]


Parser.getProperty Method (String, String, String)

Gets a specified Property.

public PropValue getProperty(
string path,
string instance,
string name
);

Parameters

path
Path to search
instance
Instance to look for
name
Property Name

Return Value

Property Value

See Also

Parser Class | WorldMaker.Lang.Gss Namespace | Parser.getProperty Overload List

Copyright 2004 Max Battcher [and the GoldDotNet Project]

Generated from assembly WorldMaker.Lang.Gss [1.0.0.6771]


getRule Method

GoldDotNet Documentation

Parser.getRule Method

Gets a specified Rule.

Overload List

Gets a specified Rule.

public HybridDictionary getRule(string);

Get a specified Rule

public HybridDictionary getRule(string,string);

See Also

Parser Class | WorldMaker.Lang.Gss Namespace

Copyright 2004 Max Battcher [and the GoldDotNet Project]

Generated from assembly WorldMaker.Lang.Gss [1.0.0.6771]


Parser.getRule Method (String)

Gets a specified Rule.

public HybridDictionary getRule(
string path
);

Parameters

path
Path to Follow

Return Value

Rule Dictionary

See Also

Parser Class | WorldMaker.Lang.Gss Namespace | Parser.getRule Overload List

Copyright 2004 Max Battcher [and the GoldDotNet Project]

Generated from assembly WorldMaker.Lang.Gss [1.0.0.6771]


Parser.getRule Method (String, String)

Get a specified Rule

public HybridDictionary getRule(
string path,
string instance
);

Parameters

path
Path to Follow
instance
Instance to Look For

Return Value

Rule Dictionary

See Also

Parser Class | WorldMaker.Lang.Gss Namespace | Parser.getRule Overload List

Copyright 2004 Max Battcher [and the GoldDotNet Project]

Generated from assembly WorldMaker.Lang.Gss [1.0.0.6771]


Parser.loadFile Method

Load and parse a GSS file.

public void loadFile(
string filename
);

Parameters

filename
Filename to load.

See Also

Parser Class | WorldMaker.Lang.Gss Namespace

Copyright 2004 Max Battcher [and the GoldDotNet Project]

Generated from assembly WorldMaker.Lang.Gss [1.0.0.6771]


Parser.loadStream Method

Load and parse a GSS stream.

public void loadStream(
TextReader tr
);

Parameters

tr
Stream to load.

See Also

Parser Class | WorldMaker.Lang.Gss Namespace

Copyright 2004 Max Battcher [and the GoldDotNet Project]

Generated from assembly WorldMaker.Lang.Gss [1.0.0.6771]


PropValue Class

Property Value Class

For a list of all members of this type, see PropValue Members.

System.Object
PropValue

public class PropValue

Requirements

Namespace: WorldMaker.Lang.Gss

Assembly: WorldMaker.Lang.Gss (in WorldMaker.Lang.Gss.dll)

See Also

PropValue Members | WorldMaker.Lang.Gss Namespace

Copyright 2004 Max Battcher [and the GoldDotNet Project]

Generated from assembly WorldMaker.Lang.Gss [1.0.0.6771]


PropValue Members

PropValue overview

Public Instance Constructors

PropValue Overloaded. Initializes a new instance of the PropValue class.

Public Instance Properties

Next | Next Property Value in a <Valuelist>
vData | Data of this Property.
vType | Type of this Property.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString (inherited from Object) | Returns a String that represents the current Object.

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

See Also

PropValue Class | WorldMaker.Lang.Gss Namespace

Copyright 2004 Max Battcher [and the GoldDotNet Project]

Generated from assembly WorldMaker.Lang.Gss [1.0.0.6771]


PropValue Constructor

Default Constructor. Sets this to an Unknown.

Overload List

Default Constructor. Sets this to an Unknown.

public PropValue();

Type Constructor. Sets this to a Type.

public PropValue(VType);

See Also

PropValue Class | WorldMaker.Lang.Gss Namespace

Copyright 2004 Max Battcher [and the GoldDotNet Project]

Generated from assembly WorldMaker.Lang.Gss [1.0.0.6771]


PropValue Constructor ()

Default Constructor. Sets this to an Unknown.

public PropValue();

See Also

PropValue Class | WorldMaker.Lang.Gss Namespace | PropValue Constructor Overload List

Copyright 2004 Max Battcher [and the GoldDotNet Project]

Generated from assembly WorldMaker.Lang.Gss [1.0.0.6771]


PropValue Constructor (VType)

Type Constructor. Sets this to a Type.

public PropValue(
VType vtype
);

Parameters

vtype

See Also

PropValue Class | WorldMaker.Lang.Gss Namespace | PropValue Constructor Overload List

Copyright 2004 Max Battcher [and the GoldDotNet Project]

Generated from assembly WorldMaker.Lang.Gss [1.0.0.6771]


PropValue Properties

The properties of the PropValue class are listed below. For a complete list of PropValue class members, see the PropValue Members topic.

Public Instance Properties

Next | Next Property Value in a <Valuelist>
vData | Data of this Property.
vType | Type of this Property.

See Also

PropValue Class | WorldMaker.Lang.Gss Namespace

Copyright 2004 Max Battcher [and the GoldDotNet Project]

Generated from assembly WorldMaker.Lang.Gss [1.0.0.6771]


PropValue.Next Property

Next Property Value in a <Valuelist>

public PropValue Next {get; set;}

See Also

PropValue Class | WorldMaker.Lang.Gss Namespace

Copyright 2004 Max Battcher [and the GoldDotNet Project]

Generated from assembly WorldMaker.Lang.Gss [1.0.0.6771]


PropValue.vData Property

Data of this Property.

public object vData {get; set;}

See Also

PropValue Class | WorldMaker.Lang.Gss Namespace

Copyright 2004 Max Battcher [and the GoldDotNet Project]

Generated from assembly WorldMaker.Lang.Gss [1.0.0.6771]


PropValue.VType Enumeration

Types of Properties

public enum PropValue.VType

Members

Member Name | Description
Function | Function: <Object> ( <Valuelist> )
Object | <Object>
String | StringLiteral
Integer | IntegerLiteral
Float | FloatLiteral
Unknown | No such property

Requirements

Namespace: WorldMaker.Lang.Gss

Assembly: WorldMaker.Lang.Gss (in WorldMaker.Lang.Gss.dll)

See Also

WorldMaker.Lang.Gss Namespace

Copyright 2004 Max Battcher [and the GoldDotNet Project]

Generated from assembly WorldMaker.Lang.Gss [1.0.0.6771]


WorldMaker.Util.GoldDot

GoldDotNet Documentation

WorldMaker.Util.GoldDot Namespace

GoldDot Utility

Classes

Class | Description
Console | GoldDot provides a utility console application to generate DOT digraph files from GoldParser CGT compiled grammar tables.
DfaGraph | Given a defined DevinCook.GoldParser.Parser, GoldDot.DfaGraph produces a DOT formatted stream of the DFA Graph.
LalrGraph | Given a defined DevinCook.GoldParser.Parser, GoldDot.LalrGraph produces a DOT formatted stream of the LALR Graph.
ParseTree | Given a defined DevinCook.GoldParser.Parser and a script stream, GoldDot.ParseTree produces a DOT formatted stream.


Console Class

GoldDot provides a utility console application to generate DOT digraph files from GoldParser CGT compiled grammar tables.

For a list of all members of this type, see Console Members.

System.Object
Console

public class Console

Requirements

Namespace: WorldMaker.Util.GoldDot

Assembly: GoldDot (in GoldDot.exe)

See Also

Console Members | WorldMaker.Util.GoldDot Namespace

Copyright 2004 Max Battcher [and the GoldDotNet Project]

Generated from assembly GoldDot [1.0.0.6772]


Console Members

Console overview

Public Instance Constructors

Console Constructor Loads the Grammar.

Public Instance Methods

dfaGraph | Performs the -dfa Operation using the System.Console for output.
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
lalrGraph | Performs the -lalr Operation using the System.Console for output.
parseTree | Performs the -parsetree Operation using System.Console for both input and output.
ToString (inherited from Object) | Returns a String that represents the current Object.

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

See Also

Console Class | WorldMaker.Util.GoldDot Namespace

Copyright 2004 Max Battcher [and the GoldDotNet Project]

Generated from assembly GoldDot [1.0.0.6772]


Console Constructor

Loads the Grammar.

public Console(
string grammarfile
);

Parameters

grammarfile
CGT Grammar to Load

See Also

Console Class | WorldMaker.Util.GoldDot Namespace

Copyright 2004 Max Battcher [and the GoldDotNet Project]

Generated from assembly GoldDot [1.0.0.6772]


Console Methods

The methods of the Console class are listed below. For a complete list of Console class members, see the Console Members topic.

Public Instance Methods

dfaGraph | Performs the -dfa Operation using the System.Console for output.
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
lalrGraph | Performs the -lalr Operation using the System.Console for output.
parseTree | Performs the -parsetree Operation using System.Console for both input and output.
ToString (inherited from Object) | Returns a String that represents the current Object.

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

See Also

Console Class | WorldMaker.Util.GoldDot Namespace

Copyright 2004 Max Battcher [and the GoldDotNet Project]

Generated from assembly GoldDot [1.0.0.6772]


Console.dfaGraph Method

Performs the -dfa Operation using the System.Console for output.

public void dfaGraph();

See Also

Console Class | WorldMaker.Util.GoldDot Namespace

Copyright 2004 Max Battcher [and the GoldDotNet Project]

Generated from assembly GoldDot [1.0.0.6772]


Console.lalrGraph Method

Performs the -lalr Operation using the System.Console for output.

public void lalrGraph();

See Also

Console Class | WorldMaker.Util.GoldDot Namespace

Copyright 2004 Max Battcher [and the GoldDotNet Project]

Generated from assembly GoldDot [1.0.0.6772]


Console.parseTree Method

Performs the -parsetree Operation using System.Console for both input and output.

public void parseTree();

See Also

Console Class | WorldMaker.Util.GoldDot Namespace

Copyright 2004 Max Battcher [and the GoldDotNet Project]

Generated from assembly GoldDot [1.0.0.6772]


DfaGraph Class

Given a defined DevinCook.GoldParser.Parser, GoldDot.DfaGraph produces a DOT formatted stream of the DFA Graph.

For a list of all members of this type, see DfaGraph Members.

System.Object
DfaGraph

public class DfaGraph

Requirements

Namespace: WorldMaker.Util.GoldDot

Assembly: GoldDot (in GoldDot.exe)

See Also

DfaGraph Members | WorldMaker.Util.GoldDot Namespace

Copyright 2004 Max Battcher [and the GoldDotNet Project]

Generated from assembly GoldDot [1.0.0.6772]


DfaGraph Members

DfaGraph overview

Public Instance Constructors

DfaGraph Constructor Builds a DOT graph from a given parser's DFA states.

Public Instance Properties

GssParser GssParser used for Styling

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
footer | Build a DOT graph footer.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
getOutput | Gets the output of the ParseTree operation.
GetType (inherited from Object) | Gets the Type of the current instance.
graph | Graphs a DFA State
header | Build a DOT graph header.
ToString (inherited from Object) | Returns a String that represents the current Object.

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

See Also

DfaGraph Class | WorldMaker.Util.GoldDot Namespace

Copyright 2004 Max Battcher [and the GoldDotNet Project]

Generated from assembly GoldDot [1.0.0.6772]


DfaGraph Constructor

Builds a DOT graph from a given parser's DFA states.

public DfaGraph(
Parser m_parser
);

Parameters

m_parser
GoldParser engine

See Also

DfaGraph Class | WorldMaker.Util.GoldDot Namespace

Copyright 2004 Max Battcher [and the GoldDotNet Project]

Generated from assembly GoldDot [1.0.0.6772]


DfaGraph Properties

The properties of the DfaGraph class are listed below. For a complete list of DfaGraph class members, see the DfaGraph Members topic.

Public Instance Properties

GssParser GssParser used for Styling

See Also

DfaGraph Class | WorldMaker.Util.GoldDot Namespace

Copyright 2004 Max Battcher [and the GoldDotNet Project]

Generated from assembly GoldDot [1.0.0.6772]


DfaGraph.GssParser Property

GssParser used for Styling

public WorldMaker.Lang.Gss.Parser GssParser {get; set;}

See Also

DfaGraph Class | WorldMaker.Util.GoldDot Namespace

Copyright 2004 Max Battcher [and the GoldDotNet Project]

Generated from assembly GoldDot [1.0.0.6772]


DfaGraph Methods

The methods of the DfaGraph class are listed below. For a complete list of DfaGraph class members, see the DfaGraph Members topic.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
footer | Build a DOT graph footer.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
getOutput | Gets the output of the ParseTree operation.
GetType (inherited from Object) | Gets the Type of the current instance.
graph | Graphs a DFA State
header | Build a DOT graph header.
ToString (inherited from Object) | Returns a String that represents the current Object.

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

See Also

DfaGraph Class | WorldMaker.Util.GoldDot Namespace

Copyright 2004 Max Battcher [and the GoldDotNet Project]

Generated from assembly GoldDot [1.0.0.6772]


DfaGraph.footer Method

Build a DOT graph footer.

public void footer();

See Also

DfaGraph Class | WorldMaker.Util.GoldDot Namespace

Copyright 2004 Max Battcher [and the GoldDotNet Project]

Generated from assembly GoldDot [1.0.0.6772]


DfaGraph.getOutput Method

Gets the output of the ParseTree operation.

public string getOutput();

Return Value

A string of the Output

See Also

DfaGraph Class | WorldMaker.Util.GoldDot Namespace

Copyright 2004 Max Battcher [and the GoldDotNet Project]

Generated from assembly GoldDot [1.0.0.6772]


DfaGraph.graph Method

Graphs a DFA State

public void graph(
int cstate
);

Parameters

cstate
DFA State Number to Graph

See Also

DfaGraph Class | WorldMaker.Util.GoldDot Namespace

Copyright 2004 Max Battcher [and the GoldDotNet Project]

Generated from assembly GoldDot [1.0.0.6772]


DfaGraph.header Method

Build a DOT graph header.

public void header();

See Also

DfaGraph Class | WorldMaker.Util.GoldDot Namespace

Copyright 2004 Max Battcher [and the GoldDotNet Project]

Generated from assembly GoldDot [1.0.0.6772]


LalrGraph Class

Given a defined DevinCook.GoldParser.Parser, GoldDot.LalrGraph produces a DOT formatted stream of the LALR Graph.

For a list of all members of this type, see LalrGraph Members.

System.Object
LalrGraph

public class LalrGraph

Requirements

Namespace: WorldMaker.Util.GoldDot

Assembly: GoldDot (in GoldDot.exe)

See Also

LalrGraph Members | WorldMaker.Util.GoldDot Namespace

Copyright 2004 Max Battcher [and the GoldDotNet Project]

Generated from assembly GoldDot [1.0.0.6772]


LalrGraph Members

LalrGraph overview

Public Instance Constructors

LalrGraph Constructor Builds a DOT graph from a given parser's DFA states.

Public Instance Properties

GssParser | GssParser used for Styling
ShortRuleLabels | Use Rule Numbers instead of Descriptions.
TrimRules | Use only one node per Rule.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
footer | Build a DOT graph footer.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
getOutput | Gets the output of the ParseTree operation.
GetType (inherited from Object) | Gets the Type of the current instance.
graph | Graphs a LALR State
graphRule | Graphs a Grammar Rule
header | Build a DOT graph header.
ToString (inherited from Object) | Returns a String that represents the current Object.

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

See Also

LalrGraph Class | WorldMaker.Util.GoldDot Namespace

Copyright 2004 Max Battcher [and the GoldDotNet Project]

Generated from assembly GoldDot [1.0.0.6772]


LalrGraph Constructor

Builds a DOT graph from a given parser's DFA states.

public LalrGraph(
Parser m_parser
);

Parameters

m_parser
GoldParser engine

See Also

LalrGraph Class | WorldMaker.Util.GoldDot Namespace

Copyright 2004 Max Battcher [and the GoldDotNet Project]

Generated from assembly GoldDot [1.0.0.6772]


LalrGraph Properties

The properties of the LalrGraph class are listed below. For a complete list of LalrGraph class members, see the LalrGraph Members topic.

Public Instance Properties

GssParser | GssParser used for Styling
ShortRuleLabels | Use Rule Numbers instead of Descriptions.
TrimRules | Use only one node per Rule.

See Also

LalrGraph Class | WorldMaker.Util.GoldDot Namespace

Copyright 2004 Max Battcher [and the GoldDotNet Project]

Generated from assembly GoldDot [1.0.0.6772]


LalrGraph.GssParser Property

GssParser used for Styling

public WorldMaker.Lang.Gss.Parser GssParser {get; set;}

See Also

LalrGraph Class | WorldMaker.Util.GoldDot Namespace

Copyright 2004 Max Battcher [and the GoldDotNet Project]

Generated from assembly GoldDot [1.0.0.6772]


LalrGraph.ShortRuleLabels Property

Use Rule Numbers instead of Descriptions.

public bool ShortRuleLabels {get; set;}

See Also

LalrGraph Class | WorldMaker.Util.GoldDot Namespace

Copyright 2004 Max Battcher [and the GoldDotNet Project]

Generated from assembly GoldDot [1.0.0.6772]


LalrGraph.TrimRules Property

Use only one node per Rule.

public bool TrimRules {get; set;}

See Also

LalrGraph Class | WorldMaker.Util.GoldDot Namespace

Copyright 2004 Max Battcher [and the GoldDotNet Project]

Generated from assembly GoldDot [1.0.0.6772]


LalrGraph Methods

The methods of the LalrGraph class are listed below. For a complete list of LalrGraph class members, see the LalrGraph Members topic.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
footer | Build a DOT graph footer.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
getOutput | Gets the output of the ParseTree operation.
GetType (inherited from Object) | Gets the Type of the current instance.
graph | Graphs a LALR State
graphRule | Graphs a Grammar Rule
header | Build a DOT graph header.
ToString (inherited from Object) | Returns a String that represents the current Object.

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

See Also

LalrGraph Class | WorldMaker.Util.GoldDot Namespace

Copyright 2004 Max Battcher [and the GoldDotNet Project]

Generated from assembly GoldDot [1.0.0.6772]


LalrGraph.footer Method

Build a DOT graph footer.

public void footer();

See Also

LalrGraph Class | WorldMaker.Util.GoldDot Namespace

Copyright 2004 Max Battcher [and the GoldDotNet Project]

Generated from assembly GoldDot [1.0.0.6772]


LalrGraph.getOutput Method

Gets the output of the ParseTree operation.

public string getOutput();

Return Value

A string of the Output

See Also

LalrGraph Class | WorldMaker.Util.GoldDot Namespace

Copyright 2004 Max Battcher [and the GoldDotNet Project]

Generated from assembly GoldDot [1.0.0.6772]


LalrGraph.graph Method

Graphs a LALR State

public void graph(
int cstate
);

Parameters

cstate
LALR State Number to Graph

See Also

LalrGraph Class | WorldMaker.Util.GoldDot Namespace

Copyright 2004 Max Battcher [and the GoldDotNet Project]

Generated from assembly GoldDot [1.0.0.6772]


LalrGraph.graphRule Method

Graphs a Grammar Rule

public void graphRule(
int ruleIndex,
int ruleNum
);

Parameters

ruleIndex
Grammar Rule Index
ruleNum
LalrGraph Rule Number

See Also

LalrGraph Class | WorldMaker.Util.GoldDot Namespace

Copyright 2004 Max Battcher [and the GoldDotNet Project]

Generated from assembly GoldDot [1.0.0.6772]


LalrGraph.header Method

Build a DOT graph header.

public void header();

See Also

LalrGraph Class | WorldMaker.Util.GoldDot Namespace

Copyright 2004 Max Battcher [and the GoldDotNet Project]

Generated from assembly GoldDot [1.0.0.6772]


ParseTree Class

Given a defined DevinCook.GoldParser.Parser and a script stream, GoldDot.ParseTree produces a DOT formatted stream.

For a list of all members of this type, see ParseTree Members.

System.Object
ParseTree

public class ParseTree

Requirements

Namespace: WorldMaker.Util.GoldDot

Assembly: GoldDot (in GoldDot.exe)

See Also

ParseTree Members | WorldMaker.Util.GoldDot Namespace

Copyright 2004 Max Battcher [and the GoldDotNet Project]

Generated from assembly GoldDot [1.0.0.6772]


ParseTree Members

ParseTree overview

Public Instance Constructors

ParseTree Constructor Builds a DOT graph from a given parser and source stream.

Public Instance Properties

GssParser | GssParser used for Styling
TrimNodes | Trims the Nodes. Difference between "large" and "messy" diagrams.
TrimReductions | Trims the Reductions. Passed to GoldParser.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
footer | Build a DOT graph footer.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
getOutput | Gets the output of the ParseTree operation.
GetType (inherited from Object) | Gets the Type of the current instance.
graph | Recursively build the node graph.
graphTrim | Recursively build the node graph. Trims the Nodes.
header | Build a DOT graph header.
ToString (inherited from Object) | Returns a String that represents the current Object.

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

See Also

ParseTree Class | WorldMaker.Util.GoldDot Namespace

Copyright 2004 Max Battcher [and the GoldDotNet Project]

Generated from assembly GoldDot [1.0.0.6772]


ParseTree Constructor

Builds a DOT graph from a given parser and source stream.

public ParseTree(
Parser m_parser,
TextReader m_tr
);

Parameters

m_parser
GoldParser engine
m_tr
Source Stream

See Also

ParseTree Class | WorldMaker.Util.GoldDot Namespace

Copyright 2004 Max Battcher [and the GoldDotNet Project]

Generated from assembly GoldDot [1.0.0.6772]


ParseTree Properties

The properties of the ParseTree class are listed below. For a complete list of ParseTree class members, see the ParseTree Members topic.

Public Instance Properties

GssParser | GssParser used for Styling
TrimNodes | Trims the Nodes. Difference between "large" and "messy" diagrams.
TrimReductions | Trims the Reductions. Passed to GoldParser.

See Also

ParseTree Class | WorldMaker.Util.GoldDot Namespace

Copyright 2004 Max Battcher [and the GoldDotNet Project]

Generated from assembly GoldDot [1.0.0.6772]


ParseTree.GssParser Property

GssParser used for Styling

public WorldMaker.Lang.Gss.Parser GssParser {get; set;}

See Also

ParseTree Class | WorldMaker.Util.GoldDot Namespace

Copyright 2004 Max Battcher [and the GoldDotNet Project]

Generated from assembly GoldDot [1.0.0.6772]


ParseTree.TrimNodes Property

Trims the Nodes. Difference between "large" and "messy" diagrams.

public bool TrimNodes {get; set;}

See Also

ParseTree Class | WorldMaker.Util.GoldDot Namespace

Copyright 2004 Max Battcher [and the GoldDotNet Project]

Generated from assembly GoldDot [1.0.0.6772]


ParseTree.TrimReductions Property

Trims the Reductions. Passed to GoldParser.

public bool TrimReductions {get; set;}

See Also

ParseTree Class | WorldMaker.Util.GoldDot Namespace

Copyright 2004 Max Battcher [and the GoldDotNet Project]

Generated from assembly GoldDot [1.0.0.6772]


ParseTree Methods

The methods of the ParseTree class are listed below. For a complete list of ParseTree class members, see the ParseTree Members topic.

Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
footer | Build a DOT graph footer.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
getOutput | Gets the output of the ParseTree operation.
GetType (inherited from Object) | Gets the Type of the current instance.
graph | Recursively build the node graph.
graphTrim | Recursively build the node graph. Trims the Nodes.
header | Build a DOT graph header.
ToString (inherited from Object) | Returns a String that represents the current Object.

Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

See Also

ParseTree Class | WorldMaker.Util.GoldDot Namespace

Copyright 2004 Max Battcher [and the GoldDotNet Project]

Generated from assembly GoldDot [1.0.0.6772]


ParseTree.footer Method

Build a DOT graph footer.

public void footer();

See Also

ParseTree Class | WorldMaker.Util.GoldDot Namespace

Copyright 2004 Max Battcher [and the GoldDotNet Project]

Generated from assembly GoldDot [1.0.0.6772]


ParseTree.getOutput Method

Gets the output of the ParseTree operation.

public string getOutput();

Return Value

A string of the Output

See Also

ParseTree Class | WorldMaker.Util.GoldDot Namespace

Copyright 2004 Max Battcher [and the GoldDotNet Project]

Generated from assembly GoldDot [1.0.0.6772]


ParseTree.graph Method

Recursively build the node graph.

public int graph(
Reduction cr
);

Parameters

cr
A DevinCook.GoldParser.Reduction to Graph

Return Value

Node number of this node used for recursion

See Also

ParseTree Class | WorldMaker.Util.GoldDot Namespace

Copyright 2004 Max Battcher [and the GoldDotNet Project]

Generated from assembly GoldDot [1.0.0.6772]


ParseTree.graphTrim Method

Recursively build the node graph. Trims the Nodes.

public string graphTrim(
Reduction cr
);

Parameters

cr
A DevinCook.GoldParser.Reduction to Graph

Return Value

Name of this node used for recursion

See Also

ParseTree Class | WorldMaker.Util.GoldDot Namespace

Copyright 2004 Max Battcher [and the GoldDotNet Project]

Generated from assembly GoldDot [1.0.0.6772]


ParseTree.header Method

Build a DOT graph header.

public void header();

See Also

ParseTree Class | WorldMaker.Util.GoldDot Namespace

Copyright 2004 Max Battcher [and the GoldDotNet Project]

Generated from assembly GoldDot [1.0.0.6772]